Debian Bug report logs - #693642
FTBFS against libav9

version graph

Package: sox; Maintainer for sox is Pascal Giard <pascal@debian.org>; Source for sox is src:sox.

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Sun, 18 Nov 2012 21:57:01 UTC

Severity: important

Found in version sox/14.4.0-3

Fixed in version sox/14.4.0-4

Done: Pascal Giard <pascal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, Pascal Giard <pascal@debian.org>:
Bug#693642; Package sox. (Sun, 18 Nov 2012 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to siretart@tauware.de, Pascal Giard <pascal@debian.org>. (Sun, 18 Nov 2012 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS against libav9
Date: Sun, 18 Nov 2012 22:46:12 +0100
Package: sox
Version: 14.4.0-3
Severity: important

Dear Maintainer,

Your package currently FTBFS against libav9 in experimental. The reason
is that the configure script checks the function 'av_open_input_file',
which has been replaced a long time ago by 'avformat_open_input':

The configure script reports:

checking for FFMPEG... yes
checking libavformat/avformat.h usability... yes
checking libavformat/avformat.h presence... yes
checking for libavformat/avformat.h... yes
checking for av_open_input_file in -lavformat... no


It seems that the file build-tree/sox-14.4.0/src/ffmpeg.c also uses the old API:

  if ((ret = av_open_input_file(&ffmpeg->ctxt, ft->filename, NULL, 0, &params)) < 0) {

Unfortunately, your packaging helpers (cdbs, tarball-in-tarball,
simple-patchsys) make it hard for me to create a patched
package. Nevertheless, please check if this has been fixed in a newer
upstream release. I would very much appreciate if you could provide a
fixed package in debian/experimental at your earliest convenience.

Cheers,
Reinhard


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise-proposed'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-33-generic (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sox depends on:
ii  libc6            2.15-0ubuntu10.3
ii  libgomp1         4.6.3-1ubuntu5
ii  libsox-fmt-alsa  14.3.2-3
ii  libsox-fmt-base  14.3.2-3
ii  libsox1b         14.3.2-3

sox recommends no packages.

Versions of packages sox suggests:
pn  libsox-fmt-all  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#693642; Package sox. (Mon, 19 Nov 2012 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Klauer <ulrich@chirlu.de>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Mon, 19 Nov 2012 00:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 693642@bugs.debian.org (full text, mbox):

From: Ulrich Klauer <ulrich@chirlu.de>
To: 693642@bugs.debian.org
Subject: Re: Bug#693642: FTBFS against libav9
Date: Mon, 19 Nov 2012 01:38:49 +0100
Reinhard Tartler <siretart@tauware.de>:

> Your package currently FTBFS against libav9 in experimental. The reason
> is that the configure script checks the function 'av_open_input_file',
> which has been replaced a long time ago by 'avformat_open_input':

> It seems that the file build-tree/sox-14.4.0/src/ffmpeg.c also uses  
> the old API: ... Nevertheless, please check if this has been fixed  
> in a newer
> upstream release.

No, there are no pending changes upstream. We are vaguely aware of the  
problem though, as there have been a lot of deprecated-declaration  
warnings for a while now (compiling on current Debian testing, there  
are warnings about
av_close_input_file, avcodec_decode_audio3, avcodec_encode_audio,  
avcodec_open, av_find_stream_info, av_new_stream, av_open_input_file,  
av_set_parameters, av_write_header, error_recognition, url_fclose,  
url_ferror, url_fopen). There is very limited developer interest to  
fix this and other problems/limitations in the driver, so upstream has  
considered completely removing it and referring users to the  
command-line tools, which can then be connected to SoX via pipes.

Seems to be the time for a decision ...

Ulrich




Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#693642; Package sox. (Tue, 20 Nov 2012 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Tue, 20 Nov 2012 15:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 693642@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: Ulrich Klauer <ulrich@chirlu.de>, 693642@bugs.debian.org
Subject: Re: Bug#693642: FTBFS against libav9
Date: Tue, 20 Nov 2012 10:47:29 -0500
[Message part 1 (text/plain, inline)]
On Sun, Nov 18, 2012 at 7:38 PM, Ulrich Klauer <ulrich@chirlu.de> wrote:

> Reinhard Tartler <siretart@tauware.de>:
>
>
>  Your package currently FTBFS against libav9 in experimental. The reason
>> is that the configure script checks the function 'av_open_input_file',
>> which has been replaced a long time ago by 'avformat_open_input':
>>
>
>  It seems that the file build-tree/sox-14.4.0/src/**ffmpeg.c also uses
>> the old API: ... Nevertheless, please check if this has been fixed in a
>> newer
>> upstream release.
>>
>
> No, there are no pending changes upstream. We are vaguely aware of the
> problem though, as there have been a lot of deprecated-declaration warnings
> for a while now (compiling on current Debian testing, there are warnings
> about
> av_close_input_file, avcodec_decode_audio3, avcodec_encode_audio,
> avcodec_open, av_find_stream_info, av_new_stream, av_open_input_file,
> av_set_parameters, av_write_header, error_recognition, url_fclose,
> url_ferror, url_fopen). There is very limited developer interest to fix
> this and other problems/limitations in the driver, so upstream has
> considered completely removing it and referring users to the command-line
> tools, which can then be connected to SoX via pipes.
>
> Seems to be the time for a decision ...
>
> Ulrich
>

Hi Reinhard,
 Thanks for reporting.

As Ulrich mentioned, that issue is being discussed upstream.

We should reach consensus soon.

Cheers,

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
COMunité/LACIME: École de technologie supérieure (http://www.comunite.ca)
Integrated Microsystems Laboratory: McGill (http://www.iml.ece.mcgill.ca)
[Message part 2 (text/html, inline)]

Reply sent to Pascal Giard <pascal@debian.org>:
You have taken responsibility. (Fri, 18 Jan 2013 03:36:03 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Fri, 18 Jan 2013 03:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 693642-close@bugs.debian.org (full text, mbox):

From: Pascal Giard <pascal@debian.org>
To: 693642-close@bugs.debian.org
Subject: Bug#693642: fixed in sox 14.4.0-4
Date: Fri, 18 Jan 2013 03:33:13 +0000
Source: sox
Source-Version: 14.4.0-4

We believe that the bug you reported is fixed in the latest version of
sox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pascal Giard <pascal@debian.org> (supplier of updated sox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Jan 2013 21:18:45 -0500
Source: sox
Binary: sox libsox2 libsox-fmt-base libsox-fmt-alsa libsox-fmt-ao libsox-fmt-mp3 libsox-fmt-oss libsox-fmt-pulse libsox-fmt-all libsox-dev
Architecture: source amd64
Version: 14.4.0-4
Distribution: experimental
Urgency: low
Maintainer: Pascal Giard <pascal@debian.org>
Changed-By: Pascal Giard <pascal@debian.org>
Description: 
 libsox-dev - Development files for the SoX library
 libsox-fmt-all - All SoX format libraries
 libsox-fmt-alsa - SoX alsa format I/O library
 libsox-fmt-ao - SoX Libao format I/O library
 libsox-fmt-base - Minimal set of SoX format libraries
 libsox-fmt-mp3 - SoX MP2 and MP3 format library
 libsox-fmt-oss - SoX OSS format I/O library
 libsox-fmt-pulse - SoX PulseAudio format I/O library
 libsox2    - SoX library of audio effects and processing
 sox        - Swiss army knife of sound processing
Closes: 693642
Changes: 
 sox (14.4.0-4) experimental; urgency=low
 .
   * [debian/rules, debian/control, debian/libsox-fmt-ffmpeg.dirs,
      debian/libsox-fmt-ffmpeg.install]:
     - Explicitly disabled and removed ffmpeg support as it's broken.
       It is being depricated in the next upstream version anyway
       (closes: #693642).
Checksums-Sha1: 
 04cc843a67493c465b3f708d68b19859c141f29e 1816 sox_14.4.0-4.dsc
 4197b3415e65a5dc24f4b20a15d105e86398dd52 13245 sox_14.4.0-4.diff.gz
 9e4a44fe49b92e6973400ab7f35912296930c836 140200 sox_14.4.0-4_amd64.deb
 393a240493c9084b0ad10a151101bf6fa5066a9b 303226 libsox2_14.4.0-4_amd64.deb
 387471778f0c4eda4f215db30270aee588bc9d19 73522 libsox-fmt-base_14.4.0-4_amd64.deb
 ea78f519c545f6da80e155782fd30968b61f4e1c 50724 libsox-fmt-alsa_14.4.0-4_amd64.deb
 b7831e3b0898fb222e6db461cc00cb18cf18a5d3 46926 libsox-fmt-ao_14.4.0-4_amd64.deb
 f9c185d48dfaea8d39e9273cbbd372838d42e5fb 57142 libsox-fmt-mp3_14.4.0-4_amd64.deb
 079d22b10a0dd05bb528e14e86db4af71dcbb40a 47438 libsox-fmt-oss_14.4.0-4_amd64.deb
 9bb5eaa3b205e327b3478c5f086902cf8853732d 46828 libsox-fmt-pulse_14.4.0-4_amd64.deb
 195069b748189a70481ec695ea0a39ecae0bbb43 43784 libsox-fmt-all_14.4.0-4_amd64.deb
 b8d9f03c3e9cf14f2863ad963a0dd3024c4f9234 469246 libsox-dev_14.4.0-4_amd64.deb
Checksums-Sha256: 
 0d381b4490684eceb5af5699e6acbcf0a789a445c3a4f340f7808608ed0735c6 1816 sox_14.4.0-4.dsc
 dd3c49c77284d7ea5948b25b219a07457e84dbf36fe879518cf995697a8a8042 13245 sox_14.4.0-4.diff.gz
 eb8f994b487676d23473848a74a2ba2b898c23f046c1f097df30dab81abab7a6 140200 sox_14.4.0-4_amd64.deb
 fec6e5c3d88396fcb104a445b29e1bc6ffec80fa924c8e5fee04f831d6662a77 303226 libsox2_14.4.0-4_amd64.deb
 d685b679a99efa761f001d855f9719a254b0c193b53a88499c20d626a5de7102 73522 libsox-fmt-base_14.4.0-4_amd64.deb
 a8ef778875b1b7a0ab22ce5a6f99bcc8866293819e3c56d7653c48757aa4a0e8 50724 libsox-fmt-alsa_14.4.0-4_amd64.deb
 31fe4b877e465511794b7f70851ae9fbb70f113459bb1d7c7172d3dd778bee75 46926 libsox-fmt-ao_14.4.0-4_amd64.deb
 c5767446e5ba1c1e2931c44ce2fb187a597a8678e8d9d6be85a813443cf52f16 57142 libsox-fmt-mp3_14.4.0-4_amd64.deb
 3e983d14272b1ef14c328b0af993465db2ca23295f2469a5b1a77d7c33aa7032 47438 libsox-fmt-oss_14.4.0-4_amd64.deb
 083ac54a490dbe724b8850af21720e63ac3abc22a0ee56f276d6d4d8b60a9cd6 46828 libsox-fmt-pulse_14.4.0-4_amd64.deb
 5cef402a99f1596d03734d5ac460ff62731d9498e80d4947c453ea4e1a667fbf 43784 libsox-fmt-all_14.4.0-4_amd64.deb
 a60263228fa5341d0b1a8f255988afeb82f6c8c6a305323299a25f4ba82542ad 469246 libsox-dev_14.4.0-4_amd64.deb
Files: 
 d18ac3578a409f4773e6bd6f6d6a40e7 1816 sound optional sox_14.4.0-4.dsc
 0e82dbfc4324f2f6a7df344b08751e1b 13245 sound optional sox_14.4.0-4.diff.gz
 3e004623e171137a34a51bca1f01ef23 140200 sound optional sox_14.4.0-4_amd64.deb
 f0e3d1dc0e98468361fd41f3120de830 303226 sound optional libsox2_14.4.0-4_amd64.deb
 ba16b6f71322b14fb87ee7e7f5ddfe74 73522 sound optional libsox-fmt-base_14.4.0-4_amd64.deb
 93f8fc83ffb686b337353531bfc2a529 50724 sound optional libsox-fmt-alsa_14.4.0-4_amd64.deb
 68d5a51827ce69939557e6d81c7b3f8d 46926 sound optional libsox-fmt-ao_14.4.0-4_amd64.deb
 220b9b94986be36ad89ea7505853c0da 57142 sound optional libsox-fmt-mp3_14.4.0-4_amd64.deb
 1fa4a5be9911c7c4e57e3dd8d1e5372d 47438 sound optional libsox-fmt-oss_14.4.0-4_amd64.deb
 cb36fb15dfa02c3fd0495d328fb2442d 46828 sound optional libsox-fmt-pulse_14.4.0-4_amd64.deb
 6a0bf6fc612ccfaa624186dae28a3a7c 43784 sound optional libsox-fmt-all_14.4.0-4_amd64.deb
 01305cae50a2b902327b857fee6b827e 469246 libdevel optional libsox-dev_14.4.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD4wEcACgkQ1Lfd97FsypU8UwCfd1w2BzKORsC03EBc+BcF4S6U
bvUAoJHbDtbQ2lGXuIFNpR/93bmiX6hm
=TaNv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:29:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:39:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.